Share Semantic Catalog
curl --request POST \
--url https://partner.peaka.studio/api/v1/data/projects/{projectId}/semantic-catalogs/{catalogId}/share \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"target": "MQtMNNBY"
}
'import requests
url = "https://partner.peaka.studio/api/v1/data/projects/{projectId}/semantic-catalogs/{catalogId}/share"
payload = { "target": "MQtMNNBY" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({target: 'MQtMNNBY'})
};
fetch('https://partner.peaka.studio/api/v1/data/projects/{projectId}/semantic-catalogs/{catalogId}/share', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Data -- Semantic Catalogs
Share Semantic Catalog
Shares a Semantic Catalog with another Project. The target Project gains read access to the catalog’s schemas and tables.
POST
/
data
/
projects
/
{projectId}
/
semantic-catalogs
/
{catalogId}
/
share
Share Semantic Catalog


Authorizations
Use the Authorization header with the value 'Bearer ' to authenticate. Partner API Keys have full access; Project API Keys are limited to their project scope. Learn more: https://docs.peaka.com/api-reference/authentication
Path Parameters
ID of the Project
ID of the Semantic Catalog to share
Body
application/json
Share Request
Target Project ID
Response
200
Table shared
⌘I